package com.pqs9900.pojo.HisData;

import javax.persistence.Column;
import javax.persistence.Table;
import java.util.Date;

/**
 * @Author denghuajun
 * @Description //TODO 三相有功功率
 * @Date 2018/12/17 10:55
 **/
@Table(name = "Data_HarmPower_P")
public class DataHarmpowerP {
    @Column(name = "TimeID")
    private Date timeID;//统计数据时间
    @Column(name = "LineID")
    private int lineID;//数据线路号
    @Column(name = "Phasic_Type")
    private String phasicType;//数据类型,’A’表示A相，’B’表示B相,’C’表示C相,’T’表示总
    @Column(name = "PF")
    private Float pf = 0f;
    @Column(name = "DF")
    private Float df = 0f;
    @Column(name = "P")
    private Float p = 0f;
    @Column(name = "P_1")
    private Float p1 = 0f;
    @Column(name = "P_2")
    private Float p2 = 0f;
    @Column(name = "P_3")
    private Float p3 = 0f;
    @Column(name = "P_4")
    private Float p4 = 0f;
    @Column(name = "P_5")
    private Float p5 = 0f;
    @Column(name = "P_6")
    private Float p6 = 0f;
    @Column(name = "P_7")
    private Float p7 = 0f;
    @Column(name = "P_8")
    private Float p8 = 0f;
    @Column(name = "P_9")
    private Float p9 = 0f;
    @Column(name = "P_10")
    private Float p10 = 0f;
    @Column(name = "P_11")
    private Float p11 = 0f;
    @Column(name = "P_12")
    private Float p12 = 0f;
    @Column(name = "P_13")
    private Float p13 = 0f;
    @Column(name = "P_14")
    private Float p14 = 0f;
    @Column(name = "P_15")
    private Float p15 = 0f;
    @Column(name = "P_16")
    private Float p16 = 0f;
    @Column(name = "P_17")
    private Float p17 = 0f;
    @Column(name = "P_18")
    private Float p18 = 0f;
    @Column(name = "P_19")
    private Float p19 = 0f;
    @Column(name = "P_20")
    private Float p20 = 0f;
    @Column(name = "P_21")
    private Float p21 = 0f;
    @Column(name = "P_22")
    private Float p22 = 0f;
    @Column(name = "P_23")
    private Float p23 = 0f;
    @Column(name = "P_24")
    private Float p24 = 0f;
    @Column(name = "P_25")
    private Float p25 = 0f;
    @Column(name = "P_26")
    private Float p26 = 0f;
    @Column(name = "P_27")
    private Float p27 = 0f;
    @Column(name = "P_28")
    private Float p28 = 0f;
    @Column(name = "P_29")
    private Float p29 = 0f;
    @Column(name = "P_30")
    private Float p30 = 0f;
    @Column(name = "P_31")
    private Float p31 = 0f;
    @Column(name = "P_32")
    private Float p32 = 0f;
    @Column(name = "P_33")
    private Float p33 = 0f;
    @Column(name = "P_34")
    private Float p34 = 0f;
    @Column(name = "P_35")
    private Float p35 = 0f;
    @Column(name = "P_36")
    private Float p36 = 0f;
    @Column(name = "P_37")
    private Float p37 = 0f;
    @Column(name = "P_38")
    private Float p38 = 0f;
    @Column(name = "P_39")
    private Float p39 = 0f;
    @Column(name = "P_40")
    private Float p40 = 0f;
    @Column(name = "P_41")
    private Float p41 = 0f;
    @Column(name = "P_42")
    private Float p42 = 0f;
    @Column(name = "P_43")
    private Float p43 = 0f;
    @Column(name = "P_44")
    private Float p44 = 0f;
    @Column(name = "P_45")
    private Float p45 = 0f;
    @Column(name = "P_46")
    private Float p46 = 0f;
    @Column(name = "P_47")
    private Float p47 = 0f;
    @Column(name = "P_48")
    private Float p48 = 0f;
    @Column(name = "P_49")
    private Float p49 = 0f;
    @Column(name = "P_50")
    private Float p50 = 0f;

    @Column(name = "PF_MAX")
    private Float pfMax = 0f;
    @Column(name = "DF_MAX")
    private Float dfMax = 0f;
    @Column(name = "P_MAX")
    private Float pMax = 0f;
    @Column(name = "P_1_MAX")
    private Float p1Max = 0f;
    @Column(name = "P_2_MAX")
    private Float p2Max = 0f;
    @Column(name = "P_3_MAX")
    private Float p3Max = 0f;
    @Column(name = "P_4_MAX")
    private Float p4Max = 0f;
    @Column(name = "P_5_MAX")
    private Float p5Max = 0f;
    @Column(name = "P_6_MAX")
    private Float p6Max = 0f;
    @Column(name = "P_7_MAX")
    private Float p7Max = 0f;
    @Column(name = "P_8_MAX")
    private Float p8Max = 0f;
    @Column(name = "P_9_MAX")
    private Float p9Max = 0f;
    @Column(name = "P_10_MAX")
    private Float p10Max = 0f;
    @Column(name = "P_11_MAX")
    private Float p11Max = 0f;
    @Column(name = "P_12_MAX")
    private Float p12Max = 0f;
    @Column(name = "P_13_MAX")
    private Float p13Max = 0f;
    @Column(name = "P_14_MAX")
    private Float p14Max = 0f;
    @Column(name = "P_15_MAX")
    private Float p15Max = 0f;
    @Column(name = "P_16_MAX")
    private Float p16Max = 0f;
    @Column(name = "P_17_MAX")
    private Float p17Max = 0f;
    @Column(name = "P_18_MAX")
    private Float p18Max = 0f;
    @Column(name = "P_19_MAX")
    private Float p19Max = 0f;
    @Column(name = "P_20_MAX")
    private Float p20Max = 0f;
    @Column(name = "P_21_MAX")
    private Float p21Max = 0f;
    @Column(name = "P_22_MAX")
    private Float p22Max = 0f;
    @Column(name = "P_23_MAX")
    private Float p23Max = 0f;
    @Column(name = "P_24_MAX")
    private Float p24Max = 0f;
    @Column(name = "P_25_MAX")
    private Float p25Max = 0f;
    @Column(name = "P_26_MAX")
    private Float p26Max = 0f;
    @Column(name = "P_27_MAX")
    private Float p27Max = 0f;
    @Column(name = "P_28_MAX")
    private Float p28Max = 0f;
    @Column(name = "P_29_MAX")
    private Float p29Max = 0f;
    @Column(name = "P_30_MAX")
    private Float p30Max = 0f;
    @Column(name = "P_31_MAX")
    private Float p31Max = 0f;
    @Column(name = "P_32_MAX")
    private Float p32Max = 0f;
    @Column(name = "P_33_MAX")
    private Float p33Max = 0f;
    @Column(name = "P_34_MAX")
    private Float p34Max = 0f;
    @Column(name = "P_35_MAX")
    private Float p35Max = 0f;
    @Column(name = "P_36_MAX")
    private Float p36Max = 0f;
    @Column(name = "P_37_MAX")
    private Float p37Max = 0f;
    @Column(name = "P_38_MAX")
    private Float p38Max = 0f;
    @Column(name = "P_39_MAX")
    private Float p39Max = 0f;
    @Column(name = "P_40_MAX")
    private Float p40Max = 0f;
    @Column(name = "P_41_MAX")
    private Float p41Max = 0f;
    @Column(name = "P_42_MAX")
    private Float p42Max = 0f;
    @Column(name = "P_43_MAX")
    private Float p43Max = 0f;
    @Column(name = "P_44_MAX")
    private Float p44Max = 0f;
    @Column(name = "P_45_MAX")
    private Float p45Max = 0f;
    @Column(name = "P_46_MAX")
    private Float p46Max = 0f;
    @Column(name = "P_47_MAX")
    private Float p47Max = 0f;
    @Column(name = "P_48_MAX")
    private Float p48Max = 0f;
    @Column(name = "P_49_MAX")
    private Float p49Max = 0f;
    @Column(name = "P_50_MAX")
    private Float p50Max = 0f;

    @Column(name = "PF_MIN")
    private Float pfMin = 0f;
    @Column(name = "DF_MIN")
    private Float dfMin = 0f;
    @Column(name = "P_MIN")
    private Float pMin = 0f;
    @Column(name = "P_1_MIN")
    private Float p1Min = 0f;
    @Column(name = "P_2_MIN")
    private Float p2Min = 0f;
    @Column(name = "P_3_MIN")
    private Float p3Min = 0f;
    @Column(name = "P_4_MIN")
    private Float p4Min = 0f;
    @Column(name = "P_5_MIN")
    private Float p5Min = 0f;
    @Column(name = "P_6_MIN")
    private Float p6Min = 0f;
    @Column(name = "P_7_MIN")
    private Float p7Min = 0f;
    @Column(name = "P_8_MIN")
    private Float p8Min = 0f;
    @Column(name = "P_9_MIN")
    private Float p9Min = 0f;
    @Column(name = "P_10_MIN")
    private Float p10Min = 0f;
    @Column(name = "P_11_MIN")
    private Float p11Min = 0f;
    @Column(name = "P_12_MIN")
    private Float p12Min = 0f;
    @Column(name = "P_13_MIN")
    private Float p13Min = 0f;
    @Column(name = "P_14_MIN")
    private Float p14Min = 0f;
    @Column(name = "P_15_MIN")
    private Float p15Min = 0f;
    @Column(name = "P_16_MIN")
    private Float p16Min = 0f;
    @Column(name = "P_17_MIN")
    private Float p17Min = 0f;
    @Column(name = "P_18_MIN")
    private Float p18Min = 0f;
    @Column(name = "P_19_MIN")
    private Float p19Min = 0f;
    @Column(name = "P_20_MIN")
    private Float p20Min = 0f;
    @Column(name = "P_21_MIN")
    private Float p21Min = 0f;
    @Column(name = "P_22_MIN")
    private Float p22Min = 0f;
    @Column(name = "P_23_MIN")
    private Float p23Min = 0f;
    @Column(name = "P_24_MIN")
    private Float p24Min = 0f;
    @Column(name = "P_25_MIN")
    private Float p25Min = 0f;
    @Column(name = "P_26_MIN")
    private Float p26Min = 0f;
    @Column(name = "P_27_MIN")
    private Float p27Min = 0f;
    @Column(name = "P_28_MIN")
    private Float p28Min = 0f;
    @Column(name = "P_29_MIN")
    private Float p29Min = 0f;
    @Column(name = "P_30_MIN")
    private Float p30Min = 0f;
    @Column(name = "P_31_MIN")
    private Float p31Min = 0f;
    @Column(name = "P_32_MIN")
    private Float p32Min = 0f;
    @Column(name = "P_33_MIN")
    private Float p33Min = 0f;
    @Column(name = "P_34_MIN")
    private Float p34Min = 0f;
    @Column(name = "P_35_MIN")
    private Float p35Min = 0f;
    @Column(name = "P_36_MIN")
    private Float p36Min = 0f;
    @Column(name = "P_37_MIN")
    private Float p37Min = 0f;
    @Column(name = "P_38_MIN")
    private Float p38Min = 0f;
    @Column(name = "P_39_MIN")
    private Float p39Min = 0f;
    @Column(name = "P_40_MIN")
    private Float p40Min = 0f;
    @Column(name = "P_41_MIN")
    private Float p41Min = 0f;
    @Column(name = "P_42_MIN")
    private Float p42Min = 0f;
    @Column(name = "P_43_MIN")
    private Float p43Min = 0f;
    @Column(name = "P_44_MIN")
    private Float p44Min = 0f;
    @Column(name = "P_45_MIN")
    private Float p45Min = 0f;
    @Column(name = "P_46_MIN")
    private Float p46Min = 0f;
    @Column(name = "P_47_MIN")
    private Float p47Min = 0f;
    @Column(name = "P_48_MIN")
    private Float p48Min = 0f;
    @Column(name = "P_49_MIN")
    private Float p49Min = 0f;
    @Column(name = "P_50_MIN")
    private Float p50Min = 0f;

    @Column(name = "PF_CP95")
    private Float pfCp95 = 0f;
    @Column(name = "DF_CP95")
    private Float dfCp95 = 0f;

    public Float getPfMax() {
        return pfMax;
    }

    public void setPfMax(Float pfMax) {
        this.pfMax = pfMax;
    }

    public Float getDfMax() {
        return dfMax;
    }

    public void setDfMax(Float dfMax) {
        this.dfMax = dfMax;
    }

    public Float getpMax() {
        return pMax;
    }

    public void setpMax(Float pMax) {
        this.pMax = pMax;
    }

    public Float getPfMin() {
        return pfMin;
    }

    public void setPfMin(Float pfMin) {
        this.pfMin = pfMin;
    }

    public Float getDfMin() {
        return dfMin;
    }

    public void setDfMin(Float dfMin) {
        this.dfMin = dfMin;
    }

    public Float getpMin() {
        return pMin;
    }

    public void setpMin(Float pMin) {
        this.pMin = pMin;
    }

    public Float getPfCp95() {
        return pfCp95;
    }

    public void setPfCp95(Float pfCp95) {
        this.pfCp95 = pfCp95;
    }

    public Float getDfCp95() {
        return dfCp95;
    }

    public void setDfCp95(Float dfCp95) {
        this.dfCp95 = dfCp95;
    }

    public Float getpCp95() {
        return pCp95;
    }

    public void setpCp95(Float pCp95) {
        this.pCp95 = pCp95;
    }

    @Column(name = "P_CP95")

    private Float pCp95 = 0f;
    @Column(name = "P_1_CP95")
    private Float p1Cp95 = 0f;
    @Column(name = "P_2_CP95")
    private Float p2Cp95 = 0f;
    @Column(name = "P_3_CP95")
    private Float p3Cp95 = 0f;
    @Column(name = "P_4_CP95")
    private Float p4Cp95 = 0f;
    @Column(name = "P_5_CP95")
    private Float p5Cp95 = 0f;
    @Column(name = "P_6_CP95")
    private Float p6Cp95 = 0f;
    @Column(name = "P_7_CP95")
    private Float p7Cp95 = 0f;
    @Column(name = "P_8_CP95")
    private Float p8Cp95 = 0f;
    @Column(name = "P_9_CP95")
    private Float p9Cp95 = 0f;
    @Column(name = "P_10_CP95")
    private Float p10Cp95 = 0f;
    @Column(name = "P_11_CP95")
    private Float p11Cp95 = 0f;
    @Column(name = "P_12_CP95")
    private Float p12Cp95 = 0f;
    @Column(name = "P_13_CP95")
    private Float p13Cp95 = 0f;
    @Column(name = "P_14_CP95")
    private Float p14Cp95 = 0f;
    @Column(name = "P_15_CP95")
    private Float p15Cp95 = 0f;
    @Column(name = "P_16_CP95")
    private Float p16Cp95 = 0f;
    @Column(name = "P_17_CP95")
    private Float p17Cp95 = 0f;
    @Column(name = "P_18_CP95")
    private Float p18Cp95 = 0f;
    @Column(name = "P_19_CP95")
    private Float p19Cp95 = 0f;
    @Column(name = "P_20_CP95")
    private Float p20Cp95 = 0f;
    @Column(name = "P_21_CP95")
    private Float p21Cp95 = 0f;
    @Column(name = "P_22_CP95")
    private Float p22Cp95 = 0f;
    @Column(name = "P_23_CP95")
    private Float p23Cp95 = 0f;
    @Column(name = "P_24_CP95")
    private Float p24Cp95 = 0f;
    @Column(name = "P_25_CP95")
    private Float p25Cp95 = 0f;
    @Column(name = "P_26_CP95")
    private Float p26Cp95 = 0f;
    @Column(name = "P_27_CP95")
    private Float p27Cp95 = 0f;
    @Column(name = "P_28_CP95")
    private Float p28Cp95 = 0f;
    @Column(name = "P_29_CP95")
    private Float p29Cp95 = 0f;
    @Column(name = "P_30_CP95")
    private Float p30Cp95 = 0f;
    @Column(name = "P_31_CP95")
    private Float p31Cp95 = 0f;
    @Column(name = "P_32_CP95")
    private Float p32Cp95 = 0f;
    @Column(name = "P_33_CP95")
    private Float p33Cp95 = 0f;
    @Column(name = "P_34_CP95")
    private Float p34Cp95 = 0f;
    @Column(name = "P_35_CP95")
    private Float p35Cp95 = 0f;
    @Column(name = "P_36_CP95")
    private Float p36Cp95 = 0f;
    @Column(name = "P_37_CP95")
    private Float p37Cp95 = 0f;
    @Column(name = "P_38_CP95")
    private Float p38Cp95 = 0f;
    @Column(name = "P_39_CP95")
    private Float p39Cp95 = 0f;
    @Column(name = "P_40_CP95")
    private Float p40Cp95 = 0f;
    @Column(name = "P_41_CP95")
    private Float p41Cp95 = 0f;
    @Column(name = "P_42_CP95")
    private Float p42Cp95 = 0f;
    @Column(name = "P_43_CP95")
    private Float p43Cp95 = 0f;
    @Column(name = "P_44_CP95")
    private Float p44Cp95 = 0f;
    @Column(name = "P_45_CP95")
    private Float p45Cp95 = 0f;
    @Column(name = "P_46_CP95")
    private Float p46Cp95 = 0f;
    @Column(name = "P_47_CP95")
    private Float p47Cp95 = 0f;
    @Column(name = "P_48_CP95")
    private Float p48Cp95 = 0f;
    @Column(name = "P_49_CP95")
    private Float p49Cp95 = 0f;
    @Column(name = "P_50_CP95")
    private Float p50Cp95 = 0f;

    public Date getTimeID() {
        return timeID;
    }

    public void setTimeID(Date timeID) {
        this.timeID = timeID;
    }

    public int getLineID() {
        return lineID;
    }

    public void setLineID(int lineID) {
        this.lineID = lineID;
    }

    public String getPhasicType() {
        return phasicType;
    }

    public void setPhasicType(String phasicType) {
        this.phasicType = phasicType;
    }

    public Float getP1() {
        return p1;
    }

    public void setP1(Float p1) {
        this.p1 = p1;
    }

    public Float getP2() {
        return p2;
    }

    public void setP2(Float p2) {
        this.p2 = p2;
    }

    public Float getP3() {
        return p3;
    }

    public void setP3(Float p3) {
        this.p3 = p3;
    }

    public Float getP4() {
        return p4;
    }

    public void setP4(Float p4) {
        this.p4 = p4;
    }

    public Float getP5() {
        return p5;
    }

    public void setP5(Float p5) {
        this.p5 = p5;
    }

    public Float getP6() {
        return p6;
    }

    public void setP6(Float p6) {
        this.p6 = p6;
    }

    public Float getP7() {
        return p7;
    }

    public void setP7(Float p7) {
        this.p7 = p7;
    }

    public Float getP8() {
        return p8;
    }

    public void setP8(Float p8) {
        this.p8 = p8;
    }

    public Float getP9() {
        return p9;
    }

    public void setP9(Float p9) {
        this.p9 = p9;
    }

    public Float getP10() {
        return p10;
    }

    public void setP10(Float p10) {
        this.p10 = p10;
    }

    public Float getP11() {
        return p11;
    }

    public void setP11(Float p11) {
        this.p11 = p11;
    }

    public Float getP12() {
        return p12;
    }

    public void setP12(Float p12) {
        this.p12 = p12;
    }

    public Float getP13() {
        return p13;
    }

    public void setP13(Float p13) {
        this.p13 = p13;
    }

    public Float getP14() {
        return p14;
    }

    public void setP14(Float p14) {
        this.p14 = p14;
    }

    public Float getP15() {
        return p15;
    }

    public void setP15(Float p15) {
        this.p15 = p15;
    }

    public Float getP16() {
        return p16;
    }

    public void setP16(Float p16) {
        this.p16 = p16;
    }

    public Float getP17() {
        return p17;
    }

    public void setP17(Float p17) {
        this.p17 = p17;
    }

    public Float getP18() {
        return p18;
    }

    public void setP18(Float p18) {
        this.p18 = p18;
    }

    public Float getP19() {
        return p19;
    }

    public void setP19(Float p19) {
        this.p19 = p19;
    }

    public Float getP20() {
        return p20;
    }

    public void setP20(Float p20) {
        this.p20 = p20;
    }

    public Float getP21() {
        return p21;
    }

    public void setP21(Float p21) {
        this.p21 = p21;
    }

    public Float getP22() {
        return p22;
    }

    public void setP22(Float p22) {
        this.p22 = p22;
    }

    public Float getP23() {
        return p23;
    }

    public void setP23(Float p23) {
        this.p23 = p23;
    }

    public Float getP24() {
        return p24;
    }

    public void setP24(Float p24) {
        this.p24 = p24;
    }

    public Float getP25() {
        return p25;
    }

    public void setP25(Float p25) {
        this.p25 = p25;
    }

    public Float getP26() {
        return p26;
    }

    public void setP26(Float p26) {
        this.p26 = p26;
    }

    public Float getP27() {
        return p27;
    }

    public void setP27(Float p27) {
        this.p27 = p27;
    }

    public Float getP28() {
        return p28;
    }

    public void setP28(Float p28) {
        this.p28 = p28;
    }

    public Float getP29() {
        return p29;
    }

    public void setP29(Float p29) {
        this.p29 = p29;
    }

    public Float getP30() {
        return p30;
    }

    public void setP30(Float p30) {
        this.p30 = p30;
    }

    public Float getP31() {
        return p31;
    }

    public void setP31(Float p31) {
        this.p31 = p31;
    }

    public Float getP32() {
        return p32;
    }

    public void setP32(Float p32) {
        this.p32 = p32;
    }

    public Float getP33() {
        return p33;
    }

    public void setP33(Float p33) {
        this.p33 = p33;
    }

    public Float getP34() {
        return p34;
    }

    public void setP34(Float p34) {
        this.p34 = p34;
    }

    public Float getP35() {
        return p35;
    }

    public void setP35(Float p35) {
        this.p35 = p35;
    }

    public Float getP36() {
        return p36;
    }

    public void setP36(Float p36) {
        this.p36 = p36;
    }

    public Float getP37() {
        return p37;
    }

    public void setP37(Float p37) {
        this.p37 = p37;
    }

    public Float getP38() {
        return p38;
    }

    public void setP38(Float p38) {
        this.p38 = p38;
    }

    public Float getP39() {
        return p39;
    }

    public void setP39(Float p39) {
        this.p39 = p39;
    }

    public Float getP40() {
        return p40;
    }

    public void setP40(Float p40) {
        this.p40 = p40;
    }

    public Float getP41() {
        return p41;
    }

    public void setP41(Float p41) {
        this.p41 = p41;
    }

    public Float getP42() {
        return p42;
    }

    public void setP42(Float p42) {
        this.p42 = p42;
    }

    public Float getP43() {
        return p43;
    }

    public void setP43(Float p43) {
        this.p43 = p43;
    }

    public Float getP44() {
        return p44;
    }

    public void setP44(Float p44) {
        this.p44 = p44;
    }

    public Float getP45() {
        return p45;
    }

    public void setP45(Float p45) {
        this.p45 = p45;
    }

    public Float getP46() {
        return p46;
    }

    public void setP46(Float p46) {
        this.p46 = p46;
    }

    public Float getP47() {
        return p47;
    }

    public void setP47(Float p47) {
        this.p47 = p47;
    }

    public Float getP48() {
        return p48;
    }

    public void setP48(Float p48) {
        this.p48 = p48;
    }

    public Float getP49() {
        return p49;
    }

    public void setP49(Float p49) {
        this.p49 = p49;
    }

    public Float getP50() {
        return p50;
    }

    public void setP50(Float p50) {
        this.p50 = p50;
    }

    public Float getP1Max() {
        return p1Max;
    }

    public void setP1Max(Float p1Max) {
        this.p1Max = p1Max;
    }

    public Float getP2Max() {
        return p2Max;
    }

    public void setP2Max(Float p2Max) {
        this.p2Max = p2Max;
    }

    public Float getP3Max() {
        return p3Max;
    }

    public void setP3Max(Float p3Max) {
        this.p3Max = p3Max;
    }

    public Float getP4Max() {
        return p4Max;
    }

    public void setP4Max(Float p4Max) {
        this.p4Max = p4Max;
    }

    public Float getP5Max() {
        return p5Max;
    }

    public void setP5Max(Float p5Max) {
        this.p5Max = p5Max;
    }

    public Float getP6Max() {
        return p6Max;
    }

    public void setP6Max(Float p6Max) {
        this.p6Max = p6Max;
    }

    public Float getP7Max() {
        return p7Max;
    }

    public void setP7Max(Float p7Max) {
        this.p7Max = p7Max;
    }

    public Float getP8Max() {
        return p8Max;
    }

    public void setP8Max(Float p8Max) {
        this.p8Max = p8Max;
    }

    public Float getP9Max() {
        return p9Max;
    }

    public void setP9Max(Float p9Max) {
        this.p9Max = p9Max;
    }

    public Float getP10Max() {
        return p10Max;
    }

    public void setP10Max(Float p10Max) {
        this.p10Max = p10Max;
    }

    public Float getP11Max() {
        return p11Max;
    }

    public void setP11Max(Float p11Max) {
        this.p11Max = p11Max;
    }

    public Float getP12Max() {
        return p12Max;
    }

    public void setP12Max(Float p12Max) {
        this.p12Max = p12Max;
    }

    public Float getP13Max() {
        return p13Max;
    }

    public void setP13Max(Float p13Max) {
        this.p13Max = p13Max;
    }

    public Float getP14Max() {
        return p14Max;
    }

    public void setP14Max(Float p14Max) {
        this.p14Max = p14Max;
    }

    public Float getP15Max() {
        return p15Max;
    }

    public void setP15Max(Float p15Max) {
        this.p15Max = p15Max;
    }

    public Float getP16Max() {
        return p16Max;
    }

    public void setP16Max(Float p16Max) {
        this.p16Max = p16Max;
    }

    public Float getP17Max() {
        return p17Max;
    }

    public void setP17Max(Float p17Max) {
        this.p17Max = p17Max;
    }

    public Float getP18Max() {
        return p18Max;
    }

    public void setP18Max(Float p18Max) {
        this.p18Max = p18Max;
    }

    public Float getP19Max() {
        return p19Max;
    }

    public void setP19Max(Float p19Max) {
        this.p19Max = p19Max;
    }

    public Float getP20Max() {
        return p20Max;
    }

    public void setP20Max(Float p20Max) {
        this.p20Max = p20Max;
    }

    public Float getP21Max() {
        return p21Max;
    }

    public void setP21Max(Float p21Max) {
        this.p21Max = p21Max;
    }

    public Float getP22Max() {
        return p22Max;
    }

    public void setP22Max(Float p22Max) {
        this.p22Max = p22Max;
    }

    public Float getP23Max() {
        return p23Max;
    }

    public void setP23Max(Float p23Max) {
        this.p23Max = p23Max;
    }

    public Float getP24Max() {
        return p24Max;
    }

    public void setP24Max(Float p24Max) {
        this.p24Max = p24Max;
    }

    public Float getP25Max() {
        return p25Max;
    }

    public void setP25Max(Float p25Max) {
        this.p25Max = p25Max;
    }

    public Float getP26Max() {
        return p26Max;
    }

    public void setP26Max(Float p26Max) {
        this.p26Max = p26Max;
    }

    public Float getP27Max() {
        return p27Max;
    }

    public void setP27Max(Float p27Max) {
        this.p27Max = p27Max;
    }

    public Float getP28Max() {
        return p28Max;
    }

    public void setP28Max(Float p28Max) {
        this.p28Max = p28Max;
    }

    public Float getP29Max() {
        return p29Max;
    }

    public void setP29Max(Float p29Max) {
        this.p29Max = p29Max;
    }

    public Float getP30Max() {
        return p30Max;
    }

    public void setP30Max(Float p30Max) {
        this.p30Max = p30Max;
    }

    public Float getP31Max() {
        return p31Max;
    }

    public void setP31Max(Float p31Max) {
        this.p31Max = p31Max;
    }

    public Float getP32Max() {
        return p32Max;
    }

    public void setP32Max(Float p32Max) {
        this.p32Max = p32Max;
    }

    public Float getP33Max() {
        return p33Max;
    }

    public void setP33Max(Float p33Max) {
        this.p33Max = p33Max;
    }

    public Float getP34Max() {
        return p34Max;
    }

    public void setP34Max(Float p34Max) {
        this.p34Max = p34Max;
    }

    public Float getP35Max() {
        return p35Max;
    }

    public void setP35Max(Float p35Max) {
        this.p35Max = p35Max;
    }

    public Float getP36Max() {
        return p36Max;
    }

    public void setP36Max(Float p36Max) {
        this.p36Max = p36Max;
    }

    public Float getP37Max() {
        return p37Max;
    }

    public void setP37Max(Float p37Max) {
        this.p37Max = p37Max;
    }

    public Float getP38Max() {
        return p38Max;
    }

    public void setP38Max(Float p38Max) {
        this.p38Max = p38Max;
    }

    public Float getP39Max() {
        return p39Max;
    }

    public void setP39Max(Float p39Max) {
        this.p39Max = p39Max;
    }

    public Float getP40Max() {
        return p40Max;
    }

    public void setP40Max(Float p40Max) {
        this.p40Max = p40Max;
    }

    public Float getP41Max() {
        return p41Max;
    }

    public void setP41Max(Float p41Max) {
        this.p41Max = p41Max;
    }

    public Float getP42Max() {
        return p42Max;
    }

    public void setP42Max(Float p42Max) {
        this.p42Max = p42Max;
    }

    public Float getP43Max() {
        return p43Max;
    }

    public void setP43Max(Float p43Max) {
        this.p43Max = p43Max;
    }

    public Float getP44Max() {
        return p44Max;
    }

    public void setP44Max(Float p44Max) {
        this.p44Max = p44Max;
    }

    public Float getP45Max() {
        return p45Max;
    }

    public void setP45Max(Float p45Max) {
        this.p45Max = p45Max;
    }

    public Float getP46Max() {
        return p46Max;
    }

    public void setP46Max(Float p46Max) {
        this.p46Max = p46Max;
    }

    public Float getP47Max() {
        return p47Max;
    }

    public void setP47Max(Float p47Max) {
        this.p47Max = p47Max;
    }

    public Float getP48Max() {
        return p48Max;
    }

    public void setP48Max(Float p48Max) {
        this.p48Max = p48Max;
    }

    public Float getP49Max() {
        return p49Max;
    }

    public void setP49Max(Float p49Max) {
        this.p49Max = p49Max;
    }

    public Float getP50Max() {
        return p50Max;
    }

    public void setP50Max(Float p50Max) {
        this.p50Max = p50Max;
    }

    public Float getP1Cp95() {
        return p1Cp95;
    }

    public void setP1Cp95(Float p1Cp95) {
        this.p1Cp95 = p1Cp95;
    }

    public Float getP2Cp95() {
        return p2Cp95;
    }

    public void setP2Cp95(Float p2Cp95) {
        this.p2Cp95 = p2Cp95;
    }

    public Float getP3Cp95() {
        return p3Cp95;
    }

    public void setP3Cp95(Float p3Cp95) {
        this.p3Cp95 = p3Cp95;
    }

    public Float getP4Cp95() {
        return p4Cp95;
    }

    public void setP4Cp95(Float p4Cp95) {
        this.p4Cp95 = p4Cp95;
    }

    public Float getP5Cp95() {
        return p5Cp95;
    }

    public void setP5Cp95(Float p5Cp95) {
        this.p5Cp95 = p5Cp95;
    }

    public Float getP6Cp95() {
        return p6Cp95;
    }

    public void setP6Cp95(Float p6Cp95) {
        this.p6Cp95 = p6Cp95;
    }

    public Float getP7Cp95() {
        return p7Cp95;
    }

    public void setP7Cp95(Float p7Cp95) {
        this.p7Cp95 = p7Cp95;
    }

    public Float getP8Cp95() {
        return p8Cp95;
    }

    public void setP8Cp95(Float p8Cp95) {
        this.p8Cp95 = p8Cp95;
    }

    public Float getP9Cp95() {
        return p9Cp95;
    }

    public void setP9Cp95(Float p9Cp95) {
        this.p9Cp95 = p9Cp95;
    }

    public Float getP10Cp95() {
        return p10Cp95;
    }

    public void setP10Cp95(Float p10Cp95) {
        this.p10Cp95 = p10Cp95;
    }

    public Float getP11Cp95() {
        return p11Cp95;
    }

    public void setP11Cp95(Float p11Cp95) {
        this.p11Cp95 = p11Cp95;
    }

    public Float getP12Cp95() {
        return p12Cp95;
    }

    public void setP12Cp95(Float p12Cp95) {
        this.p12Cp95 = p12Cp95;
    }

    public Float getP13Cp95() {
        return p13Cp95;
    }

    public void setP13Cp95(Float p13Cp95) {
        this.p13Cp95 = p13Cp95;
    }

    public Float getP14Cp95() {
        return p14Cp95;
    }

    public void setP14Cp95(Float p14Cp95) {
        this.p14Cp95 = p14Cp95;
    }

    public Float getP15Cp95() {
        return p15Cp95;
    }

    public void setP15Cp95(Float p15Cp95) {
        this.p15Cp95 = p15Cp95;
    }

    public Float getP16Cp95() {
        return p16Cp95;
    }

    public void setP16Cp95(Float p16Cp95) {
        this.p16Cp95 = p16Cp95;
    }

    public Float getP17Cp95() {
        return p17Cp95;
    }

    public void setP17Cp95(Float p17Cp95) {
        this.p17Cp95 = p17Cp95;
    }

    public Float getP18Cp95() {
        return p18Cp95;
    }

    public void setP18Cp95(Float p18Cp95) {
        this.p18Cp95 = p18Cp95;
    }

    public Float getP19Cp95() {
        return p19Cp95;
    }

    public void setP19Cp95(Float p19Cp95) {
        this.p19Cp95 = p19Cp95;
    }

    public Float getP20Cp95() {
        return p20Cp95;
    }

    public void setP20Cp95(Float p20Cp95) {
        this.p20Cp95 = p20Cp95;
    }

    public Float getP21Cp95() {
        return p21Cp95;
    }

    public void setP21Cp95(Float p21Cp95) {
        this.p21Cp95 = p21Cp95;
    }

    public Float getP22Cp95() {
        return p22Cp95;
    }

    public void setP22Cp95(Float p22Cp95) {
        this.p22Cp95 = p22Cp95;
    }

    public Float getP23Cp95() {
        return p23Cp95;
    }

    public void setP23Cp95(Float p23Cp95) {
        this.p23Cp95 = p23Cp95;
    }

    public Float getP24Cp95() {
        return p24Cp95;
    }

    public void setP24Cp95(Float p24Cp95) {
        this.p24Cp95 = p24Cp95;
    }

    public Float getP25Cp95() {
        return p25Cp95;
    }

    public void setP25Cp95(Float p25Cp95) {
        this.p25Cp95 = p25Cp95;
    }

    public Float getP26Cp95() {
        return p26Cp95;
    }

    public void setP26Cp95(Float p26Cp95) {
        this.p26Cp95 = p26Cp95;
    }

    public Float getP27Cp95() {
        return p27Cp95;
    }

    public void setP27Cp95(Float p27Cp95) {
        this.p27Cp95 = p27Cp95;
    }

    public Float getP28Cp95() {
        return p28Cp95;
    }

    public void setP28Cp95(Float p28Cp95) {
        this.p28Cp95 = p28Cp95;
    }

    public Float getP29Cp95() {
        return p29Cp95;
    }

    public void setP29Cp95(Float p29Cp95) {
        this.p29Cp95 = p29Cp95;
    }

    public Float getP30Cp95() {
        return p30Cp95;
    }

    public void setP30Cp95(Float p30Cp95) {
        this.p30Cp95 = p30Cp95;
    }

    public Float getP31Cp95() {
        return p31Cp95;
    }

    public void setP31Cp95(Float p31Cp95) {
        this.p31Cp95 = p31Cp95;
    }

    public Float getP32Cp95() {
        return p32Cp95;
    }

    public void setP32Cp95(Float p32Cp95) {
        this.p32Cp95 = p32Cp95;
    }

    public Float getP33Cp95() {
        return p33Cp95;
    }

    public void setP33Cp95(Float p33Cp95) {
        this.p33Cp95 = p33Cp95;
    }

    public Float getP34Cp95() {
        return p34Cp95;
    }

    public void setP34Cp95(Float p34Cp95) {
        this.p34Cp95 = p34Cp95;
    }

    public Float getP35Cp95() {
        return p35Cp95;
    }

    public void setP35Cp95(Float p35Cp95) {
        this.p35Cp95 = p35Cp95;
    }

    public Float getP36Cp95() {
        return p36Cp95;
    }

    public void setP36Cp95(Float p36Cp95) {
        this.p36Cp95 = p36Cp95;
    }

    public Float getP37Cp95() {
        return p37Cp95;
    }

    public void setP37Cp95(Float p37Cp95) {
        this.p37Cp95 = p37Cp95;
    }

    public Float getP38Cp95() {
        return p38Cp95;
    }

    public void setP38Cp95(Float p38Cp95) {
        this.p38Cp95 = p38Cp95;
    }

    public Float getP39Cp95() {
        return p39Cp95;
    }

    public void setP39Cp95(Float p39Cp95) {
        this.p39Cp95 = p39Cp95;
    }

    public Float getP40Cp95() {
        return p40Cp95;
    }

    public void setP40Cp95(Float p40Cp95) {
        this.p40Cp95 = p40Cp95;
    }

    public Float getP41Cp95() {
        return p41Cp95;
    }

    public void setP41Cp95(Float p41Cp95) {
        this.p41Cp95 = p41Cp95;
    }

    public Float getP42Cp95() {
        return p42Cp95;
    }

    public void setP42Cp95(Float p42Cp95) {
        this.p42Cp95 = p42Cp95;
    }

    public Float getP43Cp95() {
        return p43Cp95;
    }

    public void setP43Cp95(Float p43Cp95) {
        this.p43Cp95 = p43Cp95;
    }

    public Float getP44Cp95() {
        return p44Cp95;
    }

    public void setP44Cp95(Float p44Cp95) {
        this.p44Cp95 = p44Cp95;
    }

    public Float getP45Cp95() {
        return p45Cp95;
    }

    public void setP45Cp95(Float p45Cp95) {
        this.p45Cp95 = p45Cp95;
    }

    public Float getP46Cp95() {
        return p46Cp95;
    }

    public void setP46Cp95(Float p46Cp95) {
        this.p46Cp95 = p46Cp95;
    }

    public Float getP47Cp95() {
        return p47Cp95;
    }

    public void setP47Cp95(Float p47Cp95) {
        this.p47Cp95 = p47Cp95;
    }

    public Float getP48Cp95() {
        return p48Cp95;
    }

    public void setP48Cp95(Float p48Cp95) {
        this.p48Cp95 = p48Cp95;
    }

    public Float getP49Cp95() {
        return p49Cp95;
    }

    public void setP49Cp95(Float p49Cp95) {
        this.p49Cp95 = p49Cp95;
    }

    public Float getP50Cp95() {
        return p50Cp95;
    }

    public void setP50Cp95(Float p50Cp95) {
        this.p50Cp95 = p50Cp95;
    }

    public int getQualityFlag() {
        return qualityFlag;
    }

    public void setQualityFlag(int qualityFlag) {
        this.qualityFlag = qualityFlag;
    }

    public Float getP1Min() {
        return p1Min;
    }

    public void setP1Min(Float p1Min) {
        this.p1Min = p1Min;
    }

    public Float getP2Min() {
        return p2Min;
    }

    public void setP2Min(Float p2Min) {
        this.p2Min = p2Min;
    }

    public Float getP3Min() {
        return p3Min;
    }

    public void setP3Min(Float p3Min) {
        this.p3Min = p3Min;
    }

    public Float getP4Min() {
        return p4Min;
    }

    public void setP4Min(Float p4Min) {
        this.p4Min = p4Min;
    }

    public Float getP5Min() {
        return p5Min;
    }

    public void setP5Min(Float p5Min) {
        this.p5Min = p5Min;
    }

    public Float getP6Min() {
        return p6Min;
    }

    public void setP6Min(Float p6Min) {
        this.p6Min = p6Min;
    }

    public Float getP7Min() {
        return p7Min;
    }

    public void setP7Min(Float p7Min) {
        this.p7Min = p7Min;
    }

    public Float getP8Min() {
        return p8Min;
    }

    public void setP8Min(Float p8Min) {
        this.p8Min = p8Min;
    }

    public Float getP9Min() {
        return p9Min;
    }

    public void setP9Min(Float p9Min) {
        this.p9Min = p9Min;
    }

    public Float getP10Min() {
        return p10Min;
    }

    public void setP10Min(Float p10Min) {
        this.p10Min = p10Min;
    }

    public Float getP11Min() {
        return p11Min;
    }

    public void setP11Min(Float p11Min) {
        this.p11Min = p11Min;
    }

    public Float getP12Min() {
        return p12Min;
    }

    public void setP12Min(Float p12Min) {
        this.p12Min = p12Min;
    }

    public Float getP13Min() {
        return p13Min;
    }

    public void setP13Min(Float p13Min) {
        this.p13Min = p13Min;
    }

    public Float getP14Min() {
        return p14Min;
    }

    public void setP14Min(Float p14Min) {
        this.p14Min = p14Min;
    }

    public Float getP15Min() {
        return p15Min;
    }

    public void setP15Min(Float p15Min) {
        this.p15Min = p15Min;
    }

    public Float getP16Min() {
        return p16Min;
    }

    public void setP16Min(Float p16Min) {
        this.p16Min = p16Min;
    }

    public Float getP17Min() {
        return p17Min;
    }

    public void setP17Min(Float p17Min) {
        this.p17Min = p17Min;
    }

    public Float getP18Min() {
        return p18Min;
    }

    public void setP18Min(Float p18Min) {
        this.p18Min = p18Min;
    }

    public Float getP19Min() {
        return p19Min;
    }

    public void setP19Min(Float p19Min) {
        this.p19Min = p19Min;
    }

    public Float getP20Min() {
        return p20Min;
    }

    public void setP20Min(Float p20Min) {
        this.p20Min = p20Min;
    }

    public Float getP21Min() {
        return p21Min;
    }

    public void setP21Min(Float p21Min) {
        this.p21Min = p21Min;
    }

    public Float getP22Min() {
        return p22Min;
    }

    public void setP22Min(Float p22Min) {
        this.p22Min = p22Min;
    }

    public Float getP23Min() {
        return p23Min;
    }

    public void setP23Min(Float p23Min) {
        this.p23Min = p23Min;
    }

    public Float getP24Min() {
        return p24Min;
    }

    public void setP24Min(Float p24Min) {
        this.p24Min = p24Min;
    }

    public Float getP25Min() {
        return p25Min;
    }

    public void setP25Min(Float p25Min) {
        this.p25Min = p25Min;
    }

    public Float getP26Min() {
        return p26Min;
    }

    public void setP26Min(Float p26Min) {
        this.p26Min = p26Min;
    }

    public Float getP27Min() {
        return p27Min;
    }

    public void setP27Min(Float p27Min) {
        this.p27Min = p27Min;
    }

    public Float getP28Min() {
        return p28Min;
    }

    public void setP28Min(Float p28Min) {
        this.p28Min = p28Min;
    }

    public Float getP29Min() {
        return p29Min;
    }

    public void setP29Min(Float p29Min) {
        this.p29Min = p29Min;
    }

    public Float getP30Min() {
        return p30Min;
    }

    public void setP30Min(Float p30Min) {
        this.p30Min = p30Min;
    }

    public Float getP31Min() {
        return p31Min;
    }

    public void setP31Min(Float p31Min) {
        this.p31Min = p31Min;
    }

    public Float getP32Min() {
        return p32Min;
    }

    public void setP32Min(Float p32Min) {
        this.p32Min = p32Min;
    }

    public Float getP33Min() {
        return p33Min;
    }

    public void setP33Min(Float p33Min) {
        this.p33Min = p33Min;
    }

    public Float getP34Min() {
        return p34Min;
    }

    public void setP34Min(Float p34Min) {
        this.p34Min = p34Min;
    }

    public Float getP35Min() {
        return p35Min;
    }

    public void setP35Min(Float p35Min) {
        this.p35Min = p35Min;
    }

    public Float getP36Min() {
        return p36Min;
    }

    public void setP36Min(Float p36Min) {
        this.p36Min = p36Min;
    }

    public Float getP37Min() {
        return p37Min;
    }

    public void setP37Min(Float p37Min) {
        this.p37Min = p37Min;
    }

    public Float getP38Min() {
        return p38Min;
    }

    public void setP38Min(Float p38Min) {
        this.p38Min = p38Min;
    }

    public Float getP39Min() {
        return p39Min;
    }

    public void setP39Min(Float p39Min) {
        this.p39Min = p39Min;
    }

    public Float getP40Min() {
        return p40Min;
    }

    public void setP40Min(Float p40Min) {
        this.p40Min = p40Min;
    }

    public Float getP41Min() {
        return p41Min;
    }

    public void setP41Min(Float p41Min) {
        this.p41Min = p41Min;
    }

    public Float getP42Min() {
        return p42Min;
    }

    public void setP42Min(Float p42Min) {
        this.p42Min = p42Min;
    }

    public Float getP43Min() {
        return p43Min;
    }

    public void setP43Min(Float p43Min) {
        this.p43Min = p43Min;
    }

    public Float getP44Min() {
        return p44Min;
    }

    public void setP44Min(Float p44Min) {
        this.p44Min = p44Min;
    }

    public Float getP45Min() {
        return p45Min;
    }

    public void setP45Min(Float p45Min) {
        this.p45Min = p45Min;
    }

    public Float getP46Min() {
        return p46Min;
    }

    public void setP46Min(Float p46Min) {
        this.p46Min = p46Min;
    }

    public Float getP47Min() {
        return p47Min;
    }

    public void setP47Min(Float p47Min) {
        this.p47Min = p47Min;
    }

    public Float getP48Min() {
        return p48Min;
    }

    public void setP48Min(Float p48Min) {
        this.p48Min = p48Min;
    }

    public Float getP49Min() {
        return p49Min;
    }

    public void setP49Min(Float p49Min) {
        this.p49Min = p49Min;
    }

    public Float getP50Min() {
        return p50Min;
    }

    public void setP50Min(Float p50Min) {
        this.p50Min = p50Min;
    }

    @Column(name = "QualityFlag")
    private int qualityFlag;

    public Float getPf() {
        return pf;
    }

    public void setPf(Float pf) {
        this.pf = pf;
    }

    public Float getDf() {
        return df;
    }

    public void setDf(Float df) {
        this.df = df;
    }

    public Float getP() {
        return p;
    }

    public void setP(Float p) {
        this.p = p;
    }

    @Override
    public String toString() {
        return "DataHarmpowerP{" +
                "timeID=" + timeID +
                ", lineID=" + lineID +
                ", phasicType='" + phasicType + '\'' +
                ", pf=" + pf +
                ", df=" + df +
                ", p=" + p +
                ", p1=" + p1 +
                ", p2=" + p2 +
                ", p3=" + p3 +
                ", p4=" + p4 +
                ", p5=" + p5 +
                ", p6=" + p6 +
                ", p7=" + p7 +
                ", p8=" + p8 +
                ", p9=" + p9 +
                ", p10=" + p10 +
                ", p11=" + p11 +
                ", p12=" + p12 +
                ", p13=" + p13 +
                ", p14=" + p14 +
                ", p15=" + p15 +
                ", p16=" + p16 +
                ", p17=" + p17 +
                ", p18=" + p18 +
                ", p19=" + p19 +
                ", p20=" + p20 +
                ", p21=" + p21 +
                ", p22=" + p22 +
                ", p23=" + p23 +
                ", p24=" + p24 +
                ", p25=" + p25 +
                ", p26=" + p26 +
                ", p27=" + p27 +
                ", p28=" + p28 +
                ", p29=" + p29 +
                ", p30=" + p30 +
                ", p31=" + p31 +
                ", p32=" + p32 +
                ", p33=" + p33 +
                ", p34=" + p34 +
                ", p35=" + p35 +
                ", p36=" + p36 +
                ", p37=" + p37 +
                ", p38=" + p38 +
                ", p39=" + p39 +
                ", p40=" + p40 +
                ", p41=" + p41 +
                ", p42=" + p42 +
                ", p43=" + p43 +
                ", p44=" + p44 +
                ", p45=" + p45 +
                ", p46=" + p46 +
                ", p47=" + p47 +
                ", p48=" + p48 +
                ", p49=" + p49 +
                ", p50=" + p50 +
                ", pfMax=" + pfMax +
                ", dfMax=" + dfMax +
                ", pMax=" + pMax +
                ", p1Max=" + p1Max +
                ", p2Max=" + p2Max +
                ", p3Max=" + p3Max +
                ", p4Max=" + p4Max +
                ", p5Max=" + p5Max +
                ", p6Max=" + p6Max +
                ", p7Max=" + p7Max +
                ", p8Max=" + p8Max +
                ", p9Max=" + p9Max +
                ", p10Max=" + p10Max +
                ", p11Max=" + p11Max +
                ", p12Max=" + p12Max +
                ", p13Max=" + p13Max +
                ", p14Max=" + p14Max +
                ", p15Max=" + p15Max +
                ", p16Max=" + p16Max +
                ", p17Max=" + p17Max +
                ", p18Max=" + p18Max +
                ", p19Max=" + p19Max +
                ", p20Max=" + p20Max +
                ", p21Max=" + p21Max +
                ", p22Max=" + p22Max +
                ", p23Max=" + p23Max +
                ", p24Max=" + p24Max +
                ", p25Max=" + p25Max +
                ", p26Max=" + p26Max +
                ", p27Max=" + p27Max +
                ", p28Max=" + p28Max +
                ", p29Max=" + p29Max +
                ", p30Max=" + p30Max +
                ", p31Max=" + p31Max +
                ", p32Max=" + p32Max +
                ", p33Max=" + p33Max +
                ", p34Max=" + p34Max +
                ", p35Max=" + p35Max +
                ", p36Max=" + p36Max +
                ", p37Max=" + p37Max +
                ", p38Max=" + p38Max +
                ", p39Max=" + p39Max +
                ", p40Max=" + p40Max +
                ", p41Max=" + p41Max +
                ", p42Max=" + p42Max +
                ", p43Max=" + p43Max +
                ", p44Max=" + p44Max +
                ", p45Max=" + p45Max +
                ", p46Max=" + p46Max +
                ", p47Max=" + p47Max +
                ", p48Max=" + p48Max +
                ", p49Max=" + p49Max +
                ", p50Max=" + p50Max +
                ", pfMin=" + pfMin +
                ", dfMin=" + dfMin +
                ", pMin=" + pMin +
                ", p1Min=" + p1Min +
                ", p2Min=" + p2Min +
                ", p3Min=" + p3Min +
                ", p4Min=" + p4Min +
                ", p5Min=" + p5Min +
                ", p6Min=" + p6Min +
                ", p7Min=" + p7Min +
                ", p8Min=" + p8Min +
                ", p9Min=" + p9Min +
                ", p10Min=" + p10Min +
                ", p11Min=" + p11Min +
                ", p12Min=" + p12Min +
                ", p13Min=" + p13Min +
                ", p14Min=" + p14Min +
                ", p15Min=" + p15Min +
                ", p16Min=" + p16Min +
                ", p17Min=" + p17Min +
                ", p18Min=" + p18Min +
                ", p19Min=" + p19Min +
                ", p20Min=" + p20Min +
                ", p21Min=" + p21Min +
                ", p22Min=" + p22Min +
                ", p23Min=" + p23Min +
                ", p24Min=" + p24Min +
                ", p25Min=" + p25Min +
                ", p26Min=" + p26Min +
                ", p27Min=" + p27Min +
                ", p28Min=" + p28Min +
                ", p29Min=" + p29Min +
                ", p30Min=" + p30Min +
                ", p31Min=" + p31Min +
                ", p32Min=" + p32Min +
                ", p33Min=" + p33Min +
                ", p34Min=" + p34Min +
                ", p35Min=" + p35Min +
                ", p36Min=" + p36Min +
                ", p37Min=" + p37Min +
                ", p38Min=" + p38Min +
                ", p39Min=" + p39Min +
                ", p40Min=" + p40Min +
                ", p41Min=" + p41Min +
                ", p42Min=" + p42Min +
                ", p43Min=" + p43Min +
                ", p44Min=" + p44Min +
                ", p45Min=" + p45Min +
                ", p46Min=" + p46Min +
                ", p47Min=" + p47Min +
                ", p48Min=" + p48Min +
                ", p49Min=" + p49Min +
                ", p50Min=" + p50Min +
                ", pfCp95=" + pfCp95 +
                ", dfCp95=" + dfCp95 +
                ", pCp95=" + pCp95 +
                ", p1Cp95=" + p1Cp95 +
                ", p2Cp95=" + p2Cp95 +
                ", p3Cp95=" + p3Cp95 +
                ", p4Cp95=" + p4Cp95 +
                ", p5Cp95=" + p5Cp95 +
                ", p6Cp95=" + p6Cp95 +
                ", p7Cp95=" + p7Cp95 +
                ", p8Cp95=" + p8Cp95 +
                ", p9Cp95=" + p9Cp95 +
                ", p10Cp95=" + p10Cp95 +
                ", p11Cp95=" + p11Cp95 +
                ", p12Cp95=" + p12Cp95 +
                ", p13Cp95=" + p13Cp95 +
                ", p14Cp95=" + p14Cp95 +
                ", p15Cp95=" + p15Cp95 +
                ", p16Cp95=" + p16Cp95 +
                ", p17Cp95=" + p17Cp95 +
                ", p18Cp95=" + p18Cp95 +
                ", p19Cp95=" + p19Cp95 +
                ", p20Cp95=" + p20Cp95 +
                ", p21Cp95=" + p21Cp95 +
                ", p22Cp95=" + p22Cp95 +
                ", p23Cp95=" + p23Cp95 +
                ", p24Cp95=" + p24Cp95 +
                ", p25Cp95=" + p25Cp95 +
                ", p26Cp95=" + p26Cp95 +
                ", p27Cp95=" + p27Cp95 +
                ", p28Cp95=" + p28Cp95 +
                ", p29Cp95=" + p29Cp95 +
                ", p30Cp95=" + p30Cp95 +
                ", p31Cp95=" + p31Cp95 +
                ", p32Cp95=" + p32Cp95 +
                ", p33Cp95=" + p33Cp95 +
                ", p34Cp95=" + p34Cp95 +
                ", p35Cp95=" + p35Cp95 +
                ", p36Cp95=" + p36Cp95 +
                ", p37Cp95=" + p37Cp95 +
                ", p38Cp95=" + p38Cp95 +
                ", p39Cp95=" + p39Cp95 +
                ", p40Cp95=" + p40Cp95 +
                ", p41Cp95=" + p41Cp95 +
                ", p42Cp95=" + p42Cp95 +
                ", p43Cp95=" + p43Cp95 +
                ", p44Cp95=" + p44Cp95 +
                ", p45Cp95=" + p45Cp95 +
                ", p46Cp95=" + p46Cp95 +
                ", p47Cp95=" + p47Cp95 +
                ", p48Cp95=" + p48Cp95 +
                ", p49Cp95=" + p49Cp95 +
                ", p50Cp95=" + p50Cp95 +
                ", qualityFlag=" + qualityFlag +
                '}';
    }
}
